{% extends 'base.html.twig' %}

{% block title %}All articles{% endblock %}

{% block body %}

<div class="col-9">
    <div class="row">
        <h1>Here's our blogs</h1>
        <h3>Welcome {% if app.user.role is same as('ROLE_USER') %}User{% endif %}{% if app.user.role is same as('ROLE_ADMIN') %}Admin{% endif %}
        </h3>
        <div class="card-group">
            {% for article in articles %}
            <div class="col-6 mb-4">
                <div class="card h-100">
                    <a href="{{ path('post', {'article': article.id }) }}">
                        <img class="card-img-top" src="{{asset(article.img)}}" alt="{{article.title}}">
                    </a>
                    <div class="card-header">
                        <a href="{{ path('post', {'article': article.id }) }}">
                            <h3>{{article.title}}</h3>
                        </a>
                    </div>
                    <div class="card-body">
                        <p class="card-text">
                            {{article.content[:400] ~ '...'}}
                        </p>
                        <a href="{{ path('post', {'article': article.id }) }}" class="btn btn-outline-warning">More <i
                                class="fas fa-caret-right"></i></a>
                    </div>
                    <div class="card-footer text-muted">
                        Posté le {{article.date|date('Y-m-d H:i:s')}}, by {{article.author}}.
                    </div>
                </div>
            </div>
            {% endfor %}
        </div>
    </div>
</div>


<div class="col-3">
    <ul class="list-group">
        {% for user in users %}
        <a href="{{path('one_blog', {'user': user.id})}}" class="list-group-item">
            <li class="list-group-item">{{user.username}} <span class="badge">{{user.articles|length}}</span></li>
        </a>
        {% endfor %}
    </ul>
</div>
{% endblock %}